package domain

type AlibabaWdkMarketingItempoolQueryitemsMarketPageResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   参加当前活动的商品总数     */
	Total *int64 `json:"total,omitempty" `

	/*
	   页面大小     */
	PageSize *int64 `json:"page_size,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   返回的数据     */
	ItemPoolSkuList *[]AlibabaWdkMarketingItempoolQueryitemsItemPoolSku `json:"item_pool_sku_list,omitempty" `

	/*
	   当前分页     */
	Current *int64 `json:"current,omitempty" `

	/*
	   总页数     */
	TotalPage *int64 `json:"total_page,omitempty" `

	/*
	   查询商品是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetMessage(v string) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetTotal(v int64) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.Total = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetPageSize(v int64) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.PageSize = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetErrorCode(v string) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetItemPoolSkuList(v []AlibabaWdkMarketingItempoolQueryitemsItemPoolSku) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.ItemPoolSkuList = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetCurrent(v int64) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.Current = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetTotalPage(v int64) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.TotalPage = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult) SetSuccess(v bool) *AlibabaWdkMarketingItempoolQueryitemsMarketPageResult {
	s.Success = &v
	return s
}
